<?php

namespace Blackbirdchess\Service\Results\Enums;

/**
 * Enum Gameresult
 *
 * List of all compatible gameresults
 *
 * @author    Jeroen De Meerleer <schaak@jeroened.be>
 * @category  Main
 * @package   Libpairtwo
 * @copyright Copyright (c) 2018-2019 Jeroen De Meerleer <schaak@jeroened.be>
 * @copyright Copyright (c) 2023- Blackbird Chess
 */
Enum Gameresult: string
{
    case BLACK_WINS = '0-1';
    case BLACK_WINS_FORFAIT = '0-1 FF';
    case BOTH_LOSE_FORFAIT = '0-0 FF';
    case BOTH_WIN_ADJOURNED = '1-1 A';
    case DRAW = '0.5-0.5';
    case DRAW_ADJOURNED = '0.5-0.5 A';
    case NONE = '-';
    case WHITE_DRAWS_BLACK_LOSE_ADJOURNED = '0.5-0';
    case WHITE_DRAWS_BLACK_WINS_ADJOURNED = '0.5-1 A';
    case WHITE_LOST_BLACK_DRAWS_ADJOURNED = '0-0.5';
    case WHITE_WINS = '1-0';
    case WHITE_WINS_BLACK_DRAWS_ADJOURNED = '1-0.5 A';
    case WHITE_WINS_FORFAIT = '1-0 FF';
}
