<?php

namespace Blackbirdchess\Service\Results\Enums;

/**
 * Enum Result
 *
 * List of all compatible results
 *
 * @author    Jeroen De Meerleer <schaak@jeroened.be>
 * @category  Main
 * @package   Libpairtwo
 * @copyright Copyright (c) 2018-2019 Jeroen De Meerleer <schaak@jeroened.be>
 * @copyright Copyright (c) 2023- Blackbird Chess
 */
Enum Result: string
{
    case ABSENT = '0 FF';

    case ADJOURNED = '0 A';

    case BYE = '0 Bye';

    case DRAW = '0.5';

    case DRAW_ADJOURNED = '0.5 A';

    case LOST = '0';

    case NONE = '*';

    case WON = '1';

    case WON_ADJOURNED = '1 A';

    case WON_BYE = '1 Bye';

    case WON_FORFAIT = '1 FF';
}
