<?php

namespace Blackbirdchess\Service\Results\Enums;

/**
 * Enum Tiebreak
 *
 * List of all compatible tiebreaks
 *
 * @author    Jeroen De Meerleer <schaak@jeroened.be>
 * @category  Main
 * @package   Libpairtwo
 * @copyright Copyright (c) 2018-2019 Jeroen De Meerleer <schaak@jeroened.be>
 * @copyright Copyright (c) 2023- Blackbird Chess
 */
Enum Tiebreak: string
{
    case ARO = "Average Rating";
    case AROCUT = "Average Rating Cut";
    case AVERAGE_PERFORMANCE = "Average performance";
    case BAUMBACH = "Most wins";
    case BETWEEN = "Mutual Result";
    case BLACK_PLAYED = "Black played";
    case BLACK_WIN = "Black Winned";
    case BUCHHOLZ = "Buchholz";
    case BUCHHOLZ_CUT = "Buchholz Cut";
    case BUCHHOLZ_CUT_2 = "Buchholz Cut 2";
    case BUCHHOLZ_MED = "Buchholz Median";
    case BUCHHOLZ_MED_2 = "Buchholz Median 2";
    case CUMULATIVE = "Cumulative";
    case DRAWING_OF_LOT = "Drawing of lot";
    case KASHDAN = "Kashdan";
    case KEIZER = "Keizer";
    case KOYA = "Koya";
    case NONE = "";
    case PERFORMANCE = "Performance";
    case POINTS = "Points";
    case SOCCER_KASHDAN = "Soccer Kashdan";
    case SONNEBORN = "Sonneborn-Berger";
    case TESTMATCH = "Testmatch";
}
